#include <sourcemod>
#include <sdktools>
#include <zombiereloaded>

public OnPluginStart()
	TimersStart();



TimersStart()
{
	decl String:file[PLATFORM_MAX_PATH];
	new Handle:kv = CreateKeyValues("Awards");
	BuildPath(Path_SM, file, sizeof(file), "configs/human_award.cfg");
	
	if(FileToKeyValues(kv, file))
	{
		if(KvGotoFirstSubKey(kv, false))
		{
			new String:timer[7];
			new Float:one_time;
			new awards;
			do
			{
				KvGetSectionName(kv, timer, 7);
				one_time = StringToFloat(timer);
				awards = KvGetNum(kv, NULL_STRING);
			
				CreateTimer(one_time, MoneyGive, awards, 0);
			}
			while(KvGotoNextKey(kv, false));
		}
		CloseHandle(kv);
	}
}

public Action:MoneyGive(Handle:timer, any:money)
{
	new award;
	for (new i = 1; i <= MaxClients; i++)
	{
		if	(!IsClientInGame(i) || !IsPlayerAlive(i) || !ZR_IsClientHuman(i))
			continue;
			
		award	=	GetEntProp(i, Prop_Send, "m_iAccount", 4);
		SetEntProp(i, Prop_Send, "m_iAccount", award+money);
	}
}